-- 2.0.5 --
Fixed #1100 CMT MDB doesn't acknowledge messages read on a Queue 
Fixed #1269 Jikes 1.22 outputs warning messages for generated code: Added nowarn attribute to compiler settings 

-- 2.0.4 --
Fixed #1134 Orion doesnt find taglib tld files
Fixed #1156 Connection leak w CMP v2 beans
Fixed #1245 HTTP POST with parameters fails on first request.getParameter() or loses POST data
Fixed #1246 NullPointer Exception in JSP when errorPage is set to empty string
Fixed #1247 -validateXML broken in 2.0.3
Fixed #1250 sybase.xml type mapping is incorrect for longs
Fixed #1256 ResultSet.getStatement().getConnection.close() does not return connection to pool
Fixed #1257 HttpTunnelServlet sets infinite and non-configurable socket time-out
Fixed #1260 "Error initializing site MyWebSite: null" when abstract class specified as listener in web.xml
Fixed #1262 Autostarted clients don't get JNDI context
Fixed #1263 ORMI doesn't use Socket.setTcpNoDelay(): Can be specified with -Drmi.tcp.nodelay=tru
Fixed #1265 afterCompletion called but beforeCompletion never called
Fixed #1268 JMS lookup providing wrong ip address to topic connection on client
Fixed #1271 HTTP Session Cookie used even when cookies="disabled"
Fixed #1272 Incorrect error message on invalid local home
BodyTagSupport.doAfterBody() now returns SKIP_BODY
TagSupport.doStartTag() now returns SKIP_BODY
Default client-id for MDBs is now a concatenation of application deployment name and ejb-name
HSQLDB updated to version 1.7.2.4
Added support for DaffodilDB

-- 2.0.3 --
Fixed #1028 form-login-mechanism/form-login-config mixup
Fixed #1073 EJB Finders returning out of date results in transaction
Fixed #1081 Nested scripting variable for custom tag not exported
Fixed #1084 Internal server error when <jsp:forward> has <jsp:param>
Fixed #1089 Deployment error with 270 beans
Fixed #1090 Extraneous System.out.println in console
Fixed #1122 ^M characters in configuraton files
Fixed #1131 Body content JspWriter incorrectly implements print method
Fixed #1137 Not all filters being applied when requesting a non-existent resource
Fixed #1142 jsp page session="false" has no effect on included pages
Fixed #1166 j_security_check does not work
Fixed #1173 applications cannot deploy with too many .jar files in lib directory
Fixed #1177 allocateConnection() throws NullPointerException in resource adaptor
Fixed #1180 no -class option for: admin.jar -application default -installDataSource
Fixed #1185 orion-application-client.xml not getting saved or used
Fixed #1191 StringIndexOutOfBoundsException when calling getServletContext().getRequestDispatcher(
Fixed #1192 Jsp bug with get/set int array
Fixed #1197 Wrong keystore used with virtual sites
Fixed #1198 Server starts slowly when using java debug mode
Fixed #1199 OrionPooledDataSource methods not visible
Fixed #1203 transaction-log application-server.xml option
Fixed #1204 jsp:include throws IllegalArgumentException
Fixed #1205 NullPointerException starting orion
Fixed #1211 Exception thrown if orionclient.jar used without specifying credentials
Fixed #1214 JspFactory.getDefaultFactory() returns null until a jsp page is requested.
Fixed #1218 <%@page pageEncoding not supported.
Fixed #1220 EVAL_BODY_INCLUDE does not work
Fixed #1221 <%@page contentType="text/html;charset=iso-8859-1" is different to "text/html; charset=iso-8859-1"
Fixed #1225 <% response.setLocale(new java.util.Locale("nl")); %> gives odd Content-Language header.
Fixed #1227 HTTP/1.1 HEAD implementation MUST not return a message body
Fixed #1233 Relative <%@include does not work right in symbolicly linked directories.
Fixed #1234 Filter <url-pattern> mapping bug
Added database-schemas/mysql.xml
Added JMS classes to orionclient.jar
Added logger option to orion-application.xml and application-server.xml

-- 2.0.2 --
Fixed #1002 No documentation onJCA resource adapter deployment
Fixed #1022 Problem while starting the client
Fixed #1028 j_security_check always displayed on browswer address window
Fixed #1035 Exceptions within <jsp:include> pages are not handled properly
Fixed #1043 generated jsp code from taglib usage wrong
Fixed #1044 Error in generated servlet from jsp containing javascript document.write
Fixed #1052 EJB QL Doesn't seem to work with Timestamp
Fixed #1054 Connectors no longer supported
Fixed #1057 JSP page session attribute has no effect
Fixed #1060 jsp:useBean problem
Fixed #1065 Modifications to OR backed collections aren't persisted sometimes
Fixed #1067 MDBs using InitialContext.lookup() under heavy load, generate 'not in an application scope' errors
Fixed #1069 ServletContext.getResourcePaths() returns wrong type
Fixed #1070 Element `resource-provider' missing in documentation and orion-application.dtd
Fixed #1083 Content-Location header does not prepend context path for forwarded resources
Fixed #1084 Internal server error when <jsp:forward> has <jsp:param>
Fixed #1086 ClassLoader.getResources() returns empty enumeration
Fixed #1093 better error message needed
Fixed #1099 ServletContextListeners invoked after load-on-startup Servlets
Fixed #1107 Orion not obeying Expect: 100-continue headers

-- 2.0.1 --
Fixed #1001 connector.xml.html has a doc error (at least)
Fixed #1003 connector.jar is not known by orion.jar
Fixed #1004 Connector container not cleaning up ManagedConnections
Fixed #1005 POAOperation class required to run web application
Fixed #1006 unnecessary printout on console
Fixed #1007 jsp:expr may not work
Fixed #1010 Http session fail-over doesn't always work correctly.
Fixed #1011 Missing com.evermind.util.CollectionEnumeration
Fixed #1013 JSP page extends is ignored
Fixed #1014 Absense of URLEncodeing in <JSP:INCLUDE> directive with params
Fixed #1019 orion 2.0 does not work if run with -Xverify
Fixed #1020 ClassCastException On Application Redeployment
Fixed #1024 request.getCookies() returns null when one of the cookies has an empty vlaue
Fixed #1025 No XA support in JMS
Fixed #1029 EJB deployment error (unknown variable named dirty compilation error)
Fixed #1051 response.sendRedirect() with relative url does not work well with Netscape 4.7

-- 2.0 --
Added full EJB 2.0 support
Added JSP 1.2 support
Added Servlet 2.3 support
Added Connector 1.0 support
Added J2EE 1.3 support
Added streamlined client jar
Added streamlined embedded jar
Updated database-schemas/sapdb.xml
Removed HSQL and added HSQLDB as default database
Updated ATM application
Updated SSL demo
Updated databas-schema, data-sources, server and orion-ejb-jar definitions
Fixed #546 web-site.dtd is wrong
Fixed #702 Deadlock after bad transaction
Fixed #719 Forwarding JSP page included in result JSP
Fixed #751 Orion is changing attribute names
Fixed #758 SQL Server 2000, 'key' should be a disallowed field
Fixed #761 Error in MDB when calling setRollbackOnly
Fixed #762 Request with URL ending with "/" not routed through default...
Fixed #800 JSP indexed properties not working
Fixed #807 Incorrect output from XML format JSP pages
Fixed #810 Orion classes contain illegal bytecode.
Fixed #813 FilePostParser call changed
Fixed #817 FieldPersistenceManager not instantiated in generated wrappe
Fixed #824 ServletRequest.getHeaderNames() returns empty Enumeration
Fixed #830 Cannot start Orion 1.6.0 (IllegalArgumentException, wrong Ra...)
Fixed #843 Cookies obtained from request.getCookies() is not right
Fixed #846 auto-encode-url breaks due to <SCRIPT> tag in JSP
Fixed #865 HTTP headers
Fixed #877 Load Balancer does not work on Orion 1.6.0
Fixed #906 Load balancer does not work with HTTP and GET

-- 1.6.0 --
Added EJB-QL support
Multiple EJB OR fixes
Multiple JMS fixes

-- 1.5.4 --
Added support for local interfaces
Added support for many to many relationships
Added support for cascade-deletes
Added support for automatic primary keys (primary key class set to java.lang.Object)
Added windows security workaround patch
Fixed #188 JMS publish messages for autostarted clients
Fixed #197 finder method for non-existent ejb is not detected
Fixed #348 Class-Path: ignored in (unpacked) ejb-jar Manifest file
Fixed #349 Orion crashes when using primary keys in an incorrect way
Fixed #418 Class _yw has missing access specifier
Fixed #480 Remote JMS Subscriber TopicConnection.start() hangs
Fixed #493 JMS TextMessage with not text gives nullpointer exception wh...
Fixed #495 staleness parameter in DataSourceUserManager not implemented
Fixed #511 Problem receiving messages from a TopicSubscriber when run a...
Fixed #515 Tag library variable declaration
Fixed #531 EJB 2.0 PFD 2 feature <run-as> not implemented properly
Fixed #532 findByPrimaryKey fails when EJB has exclusive-write-access="false"
Fixed #533 Taglib null parameters are handed as "null"
Fixed #534 Wrong exception when roleManager.addToRole(...) is called with a null argument
Fixed #541 <use-caller-identity> tag doesn't conform to sun dtd
Fixed #568 incorrect max-tx-retries default
Fixed #569 Can't map servlet to *.db.htm
Fixed #575 Incorrect security exception when using JNDI
Fixed #576 array return types from taglibs not handled correctly
Fixed #582 ServletContext.getRequestDispatcher() handles non-existing JSP
Fixed #587 call to MessageDrivenContext.setRollbackOnly fails
Fixed #593 Can't send JMS messages from the init() method of a servlet
Fixed #611 CGI servlet errors
Fixed #619 Problem with HttpSession.invalidate()
Fixed #620 request.getServletPath() returns null if servlet is handling...
Fixed #626 Problem with conversion from literal String to object
Fixed #628 Memory leak using JMS
Fixed #632 jsp:param tag does not accept request time attributes
Fixed #637 application code causes a NPE in container-generated code
Fixed #646 Generated source for jsp is saved in a file whose name does...
Fixed #650 popBody in PageContext should not be abstract
Fixed #660 Log JSP compilation errors in a log file
Fixed #663 Child applications do not have proper user manager hierarchy
Fixed #664 EJBUserManager has unimplemented functions
Fixed #665 Cannot use java option -Xfuture
Fixed #669 Orion JMS hanging intermittently on Message send/receive
Fixed #679 ejbStore and dirty detection problem (EJB CMP2)
Fixed #680 method ServletRequest.getParameterMap() not implemented acco...
Fixed #693 Classloader gives highest priority to WEB-INF/lib

-- 1.5.3 --
Added encoding handling to com.evermind.io.FilePostParser
Fixed #137 Chinese Character in JSP messed up after compile
Fixed #266 Orion's JSPWriter prints empty string instead of "null" for...
Fixed #496 BytesMessage content can't be read
Fixed #497 Custom tag with TEI doesn't accept unqualified class name
Fixed #498 Incomplete documentation for web-site.xml access-log format
Fixed #506 Russian letter T is not showed correctly
Fixed #523 max-tx-retries="0" changes to max-tx-retries="3" on next deployment
Fixed #526 java.lang.ArrayIndexOutOfBoundsException if more than 4 properties
Fixed #561 MDB not in application scope when creating the min-instances
Fixed #614 Thread leak, TaskManager-thread is left running when using d...

-- 1.5.2 --
Added support for pluggable resource providers (resource-provider tag in orion-application.xml).
Fixed #307 'Servlet API can't handle HTTP/1.1 chunked data'
Fixed #402 'Directories being created while WAR file is not found'
Fixed #420 'Extracting JSP Pages with 0 bytes in length from a EAR archive'
Fixed #426 'JSP traduction fails when containing more than one jsp:plugin'
Fixed #466 'NPE at startup'
Fixed #469 'NotSerializableExcpetion when starting up server'
Fixed #479 'env-entry-mapping settings in orion-web.xml are being overwritten'
Fixed #485 'servlet-webdir attribute of orion-web-app inconsistent with documentation'
Fixed #488 'HTTP headers are not case-insensitive'

-- 1.5.1 --
Fixed #89 'exclusive-write-access with transactions fails to compile'
Fixed #447 'incorrect <message-selector> hangs the server'
Fixed #455 'unsent BytesMessage write protected'
Fixed #456 'escaping of \n \r \t \" and \\ is broken'
Fixed #457 'MDB does not consume the persistent messages from a queue'
Fixed #460 'Impossible to deploy a CMP entity bean without fields other'
Fixed #463 'OR Map broken'
Fixed #464 'Error while compiling wrappers for EJBs'

-- 1.5.0 --
Added instance-cache-timeout and pool-cache-timeout to entity-deployment in orion-ejb-jar.xml.
Fixed #139 'Required/RequiresNew mixture throws java.lang.InternalError'
Fixed #227 'Unsuccessful finder method call, causes transaction rollback'
Fixed #247 'Error in ejbPassivate when exclusive-write-access="false"'
Fixed #406 'JSP <%= %> escape support'
Fixed #414 '"Was not in used mode" exception'
Fixed #418 'Class _yw has missing access specifier'
Fixed #421 'jms BytesMessage reset() doesn't put message in read-only mode'
Fixed #423 'Delays to respond shortly after an HTTP POST'
Fixed #430 'Error page for error 403 isn't active for the WEB-INF direct'
Fixed #432 'Forwarding via RequestDispatcher ignores query string'
Fixed #433 'Transactional Session bean, CMPs, and RuntimeExceptions'
Fixed #444 'JSP authentication problem with the default connection factory'
Fixed #453 'Error reporting for invalid type in javax.jms.Message.setObjectProperty(name, value)'

-- 1.4.8 --
Added 'casing' parameter to the DataSourceUserManager.
Removed method '*' from the set of legal values in a HTTP resource collection since it was never added to a formalized version of the Servlet spec.
Fixed form-login to persist parameters and path properly when going through login/failed login.
Fixed applicationlauncher downloading helper jars defined in the manifest of the application-client.
Moved the principals.xml reference from config/server.xml to config/application.xml and removed it from the application-server DTD.
Updated JavaMail version to 1.2.
Updated JAXP version to 1.1.
Added AJP13 support.
Moved orion-ejb-jar.xml's inclusion path in an ejb-jar to the META-INF/ directory from the orion/ directory for consistency.
Fixed #324 EJB Display Name and EJB Name will not stick.
Fixed #14 'ClassCastException after restart of application'
Fixed #19 'Reconnecting after server stop and restart fails'
Fixed #83 'Orion hangs on startup'
Fixed #108 'Post requests get truncated when going through a proxy'
Fixed #137 'Chinese Character in JSP messed up after compile'
Fixed #145 'System exception in ejbCreate does not rollback transaction'
Fixed #158 'OR-mapping error when exclusive-write-access="false"'
Fixed #180 'No warnings/errors when specifying an invalid access-log file'
Fixed #189 'findXY() returns NULL if other thread removed one entry'
Fixed #212 'POSTing from applet to servlet in Netscape broken (if size m...'
Fixed #229 'Problem with composite keys used with custom persistence'
Fixed #236 'web.xml Listener, Filter, and Filter-Mapping Tags in .war re...'
Fixed #296 '<%@ include uses previous include directory...'
Fixed #297 'when BMP create fails it always throws java.lang.NullPointer'
Fixed #305 'JSP page can't inherit from own base class'
Fixed #307 'Servlet API can't handle HTTP/1.1 chunked data'
Fixed #323 'Creating application.log requires a restart'
Fixed #330 'Wrong page referred when using <jsp:include> & parsing error...'
Fixed #333 'JMS client sender to queue fails'
Fixed #337 'Disallowed keywords in database scheme do not work for prima...
Fixed #338 'url-patterns must all start with slash'
Fixed #341 'Content-Location is Wrong'
Fixed #345 'ClassLoader.getResource returns bad URL for jar-based resources'
Fixed #354 '<session-tracking> tag becoming un-terminated...'
Fixed #355 'Session.createSubscriber(topic, null, true) doesn't work for...'
Fixed #358 'Using $path in web-site.xml access-log format causes java.la...'
Fixed #361 'Invalid HTTP response from Orion'
Fixed #364 'Servlet with encoding set hangs up (goes into infinite loop?)'
Fixed #366 'PostFileInputStream.read(byte[] data, int start, int length)'
Fixed #368 'Multiple connections used within a single transaction'
Fixed #373 'Element user-manager in orion-application.dtd expects at lea...'
Fixed #374 'DatasourceUserManager does not allow application clients acc...'
Fixed #375 'Invalid table name when auto create OR-mapping tables'
Fixed #377 'Incomplete error message'
Fixed #378 'orion-web.xml fields are not consistently carried over into...'
Fixed #379 'CMP Finders with Composite-Key-Entity parameters are not gen...'
Fixed #380 'boolean session bean properties revert to false'
Fixed #382 'Important jsp-tag doesn't work <jsp:declaration>'
Fixed #383 'Autoupdate fails to detect already up to date files'
Fixed #391 'Infinite loop in request.getHeaders()'
Fixed #392 'getHeaders() only returns the FIRST header, not ALL of them'
Fixed #393 'Include security bug'
Fixed #394 'Wrong servlet executed'
Fixed #403 'Auto-unpack fails with 'zip file format error''
Fixed #404 'IOException is not thrown'
Fixed #407 'DataSourceUserManager throws ClassCastException when used'

-- 1.4.7 --
Fixed #275 'Install new DataSource'
Fixed #292 'EJB 2.0 CMP one to many example broken'

-- 1.4.6 --
Fixed messages not being received in MessageDrivenBeans if the destination was a queue.
Fixed loadbalancer problem when all nodes in an island dissapeared and reappeared.
Fixed #161 'Orion crashes under preassure'
Fixed #188 'JMS publish messages for autostarted clients'
Fixed #195 'RequestDispatcher prepends output from included jsp pages'
Fixed #198 'Logout in the news application fails with Error 404 Not Found'
Fixed #221 'Content-Length errors thrown when attempting to forward to a...'
Fixed #226 'jsp_precompile tag not supported'
Fixed #230 'welcome files'
Fixed #234 'Include inside include assumes wrong directory'
Fixed #240 'Problem retrieving session EJB from client application'
Fixed #242 'Order of fields in compound PK keeps changing'
Fixed #258 'Memory leak in Entity bean instance cache'
Fixed #263 'CMP EJB-Dependent 1-1 broken : Error (de-)serializing object'
Fixed #264 'error message for missing deepCopy() in dependent isn't right'
Fixed #266 'Orion's JSPWriter prints empty string instead of "null" for'
Fixed #267 'Custom UserManager blocks stand alone applications'
Fixed #268 'Authentication not triggering when Directory browsing is all'
Fixed #269 'Loadbalancer fails with POST from a Java Application'
Fixed #270 'news demo not portable to other databases'
Fixed #271 'Servlet Mapping does not generate correct information'
Fixed #276 'Orion returns X EJB when you lookup for Y EJB !!!'
Fixed #279 'Method listBindings() in javax.naming.Context returning inco..'
Fixed #280 'Unfriendly behaviour when restoring RMI stubs from JNDI'
Fixed #286 'database-schema.xml case-sensitive="false" attribute causes...'

-- 1.4.5 --
Added support for pluggable resources.
Fixed 'bad serialization returns null' and added a copy-by-value attribute in *-deployment in order to deactivate copy-by-value semantics (increases performance).
Fixed #120 'Exception thrown from requests exceeding 2K'
Fixed #204 'Loadbalancer seems to truncate large pages'
Fixed #207 'CGIServlet fails with multiple inputs of the same name'
Fixed #210 'RMI connections not going into Time-Wait state'
Fixed #215 'bug when creating InitialContext'
Fixed #224 'EJBUserBean.getGroups() returns a null collection'
Fixed #104 'ejbobject returned by create for cmp entity doesn't load state'
Fixed #111 'POST method does not work when using the loadbalancer'
Fixed #119 'Internal server error 500 when using bugzilla'
Fixed #155 '"immutable"-attribute disappears after deployment'
Fixed #162 '"http://www.orionserver.com/dtds/database-schemas.dtd" not found'
Fixed #181 'non-serializable remote interface return values are not detected'
Fixed #182 'byte[] cmp'
Fixed #231 'Cannot declare inner class and taglib in one JSP'
Fixed #238 'getServletConfig().getServletName() is hideously broken'
Fixed #201 'default server.xml fails when specifying -validateXML'

-- 1.4.4 --
Fixed not persisting OR instances and dependent instance field changes under certain conditions.
Fixed #140 maintaining a bidirectional 1-n relation (m-n is still in the works).
Added FieldPersistenceManager to the API and documentation.

-- 1.4.3 --
Fixed composite key EJB deployment compilation error created in 1.4.1.
Changed sendRedirect("/somepath") to be site-relative and not application-relative to conform with the Servlet 2.3 specification clarification.

-- 1.4.2 --
Updated Servlet support to 2.3PFD.

-- 1.4.1 --
Added $cookie:name and $header:name to the custom HTTP log format syntax.
Fixed #48 'Context.listBindings returns NameClassPair instead of Binding'
Fixed #53 '<xsl:param> causes Error while being parsed at runtime'
Fixed #90 'Several problems with provided HyperSonic database schema'
Fixed #92 'session.removeValue() causes infinite recursion'
Fixed #93 'Context.list() returns invalid NamingEnumeration'
Fixed #103 'Boolean bean properties fail'
Fixed #105 'Orion Server object reference problem'
Fixed #109 'Does orion support unicode strings in format %uxxxx?'
Fixed #110 'webroot revealed'
Fixed #121 'Odd text is sent to client around http page'
Fixed #122 'setMaxAge(0) does expire the cookie as it should.'
Fixed #124 'JMS queue session fails to rollback in a standaone app.'
Fixed #125 'I get null pointer exception after calling create on an EB...'
Fixed #131 'EJB2.0 home methods misnamed (and don't seem to work)'
Fixed #134 'Code generation error at deployment stage : !created'
Fixed #138 'Wrong ejbPostCreate method used'
Fixed #141 'UnsupportedEncodingException in the servlet runner'
Fixed #147 'Can't specify disallowed TABLE names'
Fixed #149 'Calling rollback on a non-transacted queuesession throws null...'
Fixed #151 'Receiving a message with CLIENT_ACKNOWLEDGE acts like AUTO_ACKNOWLEDGE'
Fixed #152 'orion-ejb-jar.xml documentation lacks default value for "isolation'
Fixed #155 '"immutable"-attribute disappears after deployment'
Fixed #157 'noLocal parameter does not work in TopicSession.createSubscriber'

--- 1.4.0 ---
Optimized CMP entity stores to only store updated fields.
Added min-connections to the data-source tag.
#37 Fixed persisting OR fields in CMP entities remove() method.
Fixed DuplicateKeyException when using validity-timeout and an invalid instance (validity had timed out) existing in the cache. It now checks the datasource.
#77 Disabled session tracking inside <script> tags.

--- 1.3.9 ---
Added support for EJB 2.0 run-as-specified-identity.
Added support for EJB 2.0 home methods.
Added allowed-hostmask="x.x.x.x" to session-tracking in orion-web.xml.
Fixed problem with multiple custom JSP tag attributes and TagExtraInfo.isValid(...).
Fixed not honouring max-connections for datasources at times and hanging at times when calling .getConnection() and the pool was full.

--- 1.3.8 ---
Fixed trace being thrown at clean shutdown under 1.2.
Optimized server instance local queue and topic JMS usage not to go thru socket loopback (added in memory message distribution).
Fixed sendRedirect(...) not throwing IllegalStateException if the response had already been committed.
Fixed emptying retrieved writer (HttpServletResponse.getWriter()) when using response.reset().

--- 1.3.7 ---
Fixed Cookie.setDomain(...).
Fixed recursive calls not working properly with exclusive-write-access="false".

--- 1.3.6 ---
Fixed EJBHome.findByPrimaryKey(...) returning null in some cases with exclusive-write-access="false".
Tuned the load balancer to scale better and fixed an AIOOB bug when using IP based routing.
Fixed lingering thread bug when restarting the server via -restart in the admin tool.

--- 1.3.5 ---
Fixed the behaviour of RequestDispatcher.include(...) (to not update the path variables) and the .include.* request attributes (to contain the include paths).
Fixed filter include appearance order in rerouted output.
Added auto-copying of data-sources.xml and principals.xml from a .ear to the deployment-directory.
Added setting of working directory for CGI's if using the 1.3 or above Java 2 platform.
Fixed loadbalancer AIOOB exception error for certain IP ranges.
Fixed DataSourceUserManager membership table name settings.

--- 1.3.3 ---
Fixed XSLServlet's handling of XSL stylesheet's media-type.
Fixed POST bug that effected NS from 1.3.0.
Added -dontusekeepalives option to the loadbalancer.
Fixed loadbalancer's handling of chunked content.

--- 1.3.1 ---
Fixed <filter-class> being improperly rewritten.
Added <frontend /> tag to web-site.xml for sites behind firewalls and/or load-balancers.
Fixed encoding of JSP source \'s in development mode (went bad in 1.3.0).
Fixed finders outside of transactions with exclusive-write-access="false".
Fixed recursion problem when including JSPs using filtered request/responses (Servlet 2.3 filters).

--- 1.3.0 ---
Fixed i18n issues when posting/querying using %xx.
Fixed TX error when removing entities with exclusive-write-access="false" in transactions.
Added missing ServletRequest.setCharacterEncoding(String charset) from the Servlet 2.3 API.

--- 1.2.9 ---
Fixed CCE when calling RoleManager.isPrincipalInRole(...) with a <security-role-mapping> containing a <user ... /> tag.
Fixed EJB exclusive-write-access="false" bug where post-TX entities were sometimes cached even if they shouldnt.

--- 1.2.8 ---
Fixed servlet and JSP i18n issues.
Added missing ServletRequest.getParameterMap() method from the Servlet 2.3 specification.
Fixed https:ormi and HTTPS + netscape x.x + POST lock-up problem.
Fixed jspInit() being called more than once.
Added usage to loadbalancer.jar.

--- 1.2.7 ---
Added loadbalancer.jar to the distribution.
Added cluster-island="x" attribute to <web-site>.
Fixed Servlet API inconsistencies, methods altered/removed after Servlet 2.2 PD1.
Added Servlet 2.3 support.
Fixed application-client auto-start that broke in 1.2.4.

-- 1.2.3 ---
Added parent="parentApp" to the <application /> tag in server.xml.
Fixed getVariableInfo() not being called on the TEI of zero-attribute tags.
Fixed bug where ejbPassivate() was called at a passive state bean when using EJB references.
Fixed bug where load-on-startup web-applications could be loaded twice.
Added hSQL as the default installed datasource in the distribution.
Changed the default session cookie path from "" to "/".
Added settable cookie-path to the session-tracking tag in orion-web.xml.
Fixed bug with SSL and POSTs from Netscape Navigator 4.x.
Added use-keep-alives to web-site.xml to make it possible to disable HTTP 1.1 keep-alives.
Added wait-timeout for data-sources to make it possible to specify the time to wait if all the sources are used up (ie reached max-connections), the default is 60 seconds.
Speeded up EJB deployment.
Added support for HTTPS (https:ormi:...) for RMI clients.
Fixed bug where a servlets <description> tag was not saved in webappassembler.

-- 1.1.16 --
Fixed HTTP security hole appearing in 1.0RC2 resulting in viewing of JSP
source.
GUI tool improvements.
General JSP/Servlet/EJB fixes.
Partial support for EJB 2.0 OR and CMP.
Fixed DataSource persistence inside HttpSession and EJBs.

-- 1.0 final --
General cleanup
Added copying deployment files from the archive if they're there when deploying
Removed servlets/ and beans/ dir since they were confusing to many.
Minor fixes

-- 1.0rc2 --
Fixed SSL + J2SE v1.2 bug.
Fixed OR-Map bugs.
Added default-charset to orion-web.xml.
HTTP performance increase.
Made .ext servlet-mappings apply even when there is no file by that name.
Added -Dnative.user.
Included JPS

-- 1.0rc1 --
Made deployment-directory and application-directory default attributes in
the distro.
JSP i18n fixes.
Changed the values of JSP API final variables to match those of the RI
(change needed due to underspecified spec). Tag-libraries will need to be
recompiled.
Assembly tool improvements.
EJB and JSP implementation bug fixes.
Fixed the context classloader to work more efficiently.

-- 0.9.4 --
Classpath bug where JSPs could not see the library paths fixed.
Multiple JSP bugfixes.
"Collection" OR-type storage fix.
Added automatic TX retries (optional) on system-level errors.
Added call timeout for EJBs (optional).
Added instant deadlock detection for EJBs.
Added -install switch for initial setup.

-- 0.9.1 --
Fixed orion-web.xml configuration bug.

-- 0.9.0 --
Full EJB 1.1 support.
Advanced Obect<->Relational mapping support including support for the
types Collection, Set, List, Map and the legacy types Vector, Hashtable,
Properties and Type[]. See docs/OR-howto.txt for instructions.
RMI HTTP-tunneling support (See docs/rmi-http-tunneling-howto.txt for
instructions).
Native SSL and cert-based client-auth support.
Full J2EE support (including .ear file format support etc).
Application hot-swap support, ability to redeploy applications without a
server restart.
Numerous EJB bugfixes.
Improved application-client support.

-- 0.8.1 --
Fixed NPE bug when optional tag attributes werent defined for a taglib
tag.
Fixed error in EJB SELECT syntax for composite primary-keys.
Added missing <taglib> tag from the JSP 1.1 PR2 specification.
Increased granularity for entity-bean passivisation sweeps.
Fixed bug where ejbStore would not be called properly under certain
transactional modes.
Fixed DataSourceUserManager to include users from it's parent UserManager.
Fixed "Add bean" bug in EJB-assembler.
Fixed bug where drivers for databases had to reside in the core classpath.
Added ejb-howto.txt and data-sources-howto.txt to the docs directory.
Added library version check (JSP & Servlet) in order to provide friendlier
error messages in case of library shadowing.
Fixed NPE in pageContext.setAttribute(key, value, PageContxt.PAGE_SCOPE).
Fixed returned result of Enumeration finder method not being properly
serializable.
Fixed bug in <%@ page import="x" %> tags including linefeeds.

-- 0.8.0 --
Added HTTP-session persistence across server restarts.
Added EJB-session perstistence across server restarts.
Added generated JSP-code caching between restarts.
Added ability to plug in an external compiler for
JSP/EJB compilation (Jikes etc).
Fixed bean-managed transactions bugs.
Added missing getAttributes() method in javax.servlet.jsp.tagext.TagData.
Improved the EJB-assembler tool.
Fixed broken link in the Client-assembler tool.
Added timeout and max-connections setting to the pooled DataSources.
Fixed bug where EJB methods couldnt throw RemoteException.
Added 'development' mode for web-apps where more readable (but slower) JSP
source is generated and stored into the persistence directory for
debugging if activated.

-- 0.7.9 --
Upgraded JSP support to JSP 1.1 PR2.
Added ejbassembler & clientassembler alpha's to the distro.
Added a simple news-site demo to show EJB <-> JMS integration.
Added util shutdown tool (RMI needs to be activated).
Fixed EJB finder method bugs.
Fixed EJB RequiresNew transactional support.
Fixed double inclusion of tag bodycontent in JSP
when specifying tagdependant bodycontent.
Fixed JSP page bufer and autoFlush attributes.
Fixed "bug in fix" regarding jsp:forward.
Fixed spontanous recompilation (without any updates)
of JSPs bug.
Fixed error-page directive.

-- 0.7.8b --
Fixed JSP 'DOS' bug when parsing invalid HTML source.
Fixed jsp:include/jsp:forward's jsp:param support.

-- 0.7.8 --
Numerous EJB bugfixes.
Added two EJB examples.
Added public UserManager interface for user management.
JSP <!-- --> and <%-- --%> handling fixes.
JSP resource retrieval fixed (lack of this resulted in
.ser files not being found etc).
Fixed PageContext.getRequest()/getResponse() to conform
to the JSP 1.1 API.

-- 0.7.7 --
Internal version, never publically released.

-- 0.7.6b --
Fixed JSP problems with lacking "" and the use of '' around attributes.
Fixed runtime type bug in JSP in jsp:setProperty when the parameter
was an arbitary object instead of a core type.

-- 0.7.6 --
Fixed user delegation problem where global users where not
valid for web-site instances.
RMI Proxy implementation bugs fixed.

-- 0.7.5b --
Added missing files from the distro causing JSP to malfunction.

-- 0.7.5 --
Servlet 2.2 support.
JSP 1.1 (taglib) support.
Fixed cookie persistence bug for version 0 cookies.

-- 0.7.4 --
Added 1.2 support for the RMI-implementation (1.3 is no longer required).

-- 0.7.3b --
Fixed RMI-implementation bug, number of requests per sec handled
has now improved by 500x.
Fixed HTTP "bug" affecting some old browsers (namely old versions of
lynx) which sent very long request headers (hit the "DOS-barrier", the
barrier has now been raised to handle these browsers).

-- 0.7.3 --
First release of the RMI/EMD implementation, still alpha status.
Fixed 0.7.2-specific http-session management bug.
Added LotusXSL from the distro - XSL parsing of dynamic output
(for instance JSPs) are now possible.
Removed Cocoon from the distro.

-- 0.7.2 --
Updated the Servlet impl to 2.2 final.
Updated the EJB impl to 1.1 final.
Numerous EJB fixes.
Directory-browsing bug removed.
Lazy loading and unloading of inactive web-apps added.

-- 0.7.1b --
Form-based authentication added.
Netscape POST bug fixed.
Filter url-pattern option added.
Fixed URLClassLoader related bug in Java 2 v1.3.

-- 0.7.0 --
Updates:
Changed configuration-file formats to XML.
Added user-app support (user web-dirs/servlets/etc).

Bugfixes:
Fixed bug where init() was called twice for some servlets.
Fixed post bug.
